List clients
curl --request GET \
--url https://api.steuerboard.com/v1/admin/clients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.steuerboard.com/v1/admin/clients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.steuerboard.com/v1/admin/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "cmf41ajzv003706un4i99q19z",
"name": "Muster GmbH",
"slug": "muster-gmbh",
"type": "legal_person",
"customId": "ABC123",
"legalName": "Muster GmbH",
"archivedAt": "2021-01-01T00:00:00Z",
"datevClientId": "ABC123",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z"
}
],
"pagination": {
"limit": 20,
"total": 134,
"nextCursor": "cmf41ajzv003706un4i99q19z",
"previousCursor": "cmf41ajzv003706un4i99q19z"
}
}{
"status_code": 401,
"type": "auth_error",
"code": "unauthorized",
"message": "<string>"
}{
"type": "auth_error",
"message": "<string>"
}{
"success": false,
"error": {
"name": "ValidationError",
"issues": [
{
"code": "invalid_type",
"path": [
"fieldName"
],
"message": "Expected string, received undefined"
}
]
}
}{
"status_code": 429,
"type": "rate_limit",
"code": "too_many_requests",
"message": "<string>"
}This response has no body data.admin.clients
List clients
Returns a paginated list of clients.
GET
/
admin
/
clients
List clients
This endpoint only works with the Accountant API key. More information here
Authorizations
Bearer token authentication
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Example:
20
The cursor to return the next page of items
Example:
"cmf41ajzv003706un4i99q19z"
The custom ID of the client
Example:
"455148"
The slug of the client
Example:
"muster-gmbh"
Include archived clients
Available options:
true, false Example:
"false"
The type of the client. 'natural_person' for individuals, 'legal_person' for companies like UG, GmbH, AG, Ltd., Inc., etc. and 'individual_enterprise' for sole proprietorships.
Available options:
natural_person, individual_enterprise, legal_person Example:
"legal_person"
The sort field of the results
Available options:
createdAt, updatedAt, archivedAt, name, customId Example:
"createdAt"
The order of the results based on the sort field
Available options:
asc, desc Example:
"desc"